--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.04i
--  \   \         Application : 
--  /   /         Filename : LEDblink.vhd
-- /___/   /\     Timestamp : 04/26/2008 10:35:23
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: 
--Design Name: LEDblink
--
-- LEDblink lsst LED am Ausgang TestLED blinken

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.NUMERIC_STD.all;


entity led_blinker is
  port
  (
    ClkIn : in std_logic;
    TestLED : out std_logic
  );
end led_blinker;


architecture RTL of led_blinker is
begin

  process(ClkIn)
    variable timer : unsigned(23 downto 0) := (others => '0');
  begin
    if ClkIn'event and ClkIn = '1' then
      timer := timer + 1;
      TestLED <= timer(timer'high);
    end if;
  end process;

end RTL;