VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SPI_MOSI
        SIGNAL ShiftLSB(15:0)
        SIGNAL ShiftMSB(15:0)
        SIGNAL ShiftLSB(15)
        SIGNAL SPI_CLK
        SIGNAL XLXN_38
        SIGNAL DATA0(15:0)
        SIGNAL DATA0(31:16)
        SIGNAL DATA1(15:0)
        SIGNAL DATA1(31:16)
        SIGNAL DATA2(15:0)
        SIGNAL DATA2(31:16)
        SIGNAL DATA3(15:0)
        SIGNAL DATA3(31:16)
        SIGNAL XLXN_130
        SIGNAL Sel0
        SIGNAL Sel1
        SIGNAL Sel2
        SIGNAL Sel3
        SIGNAL XLXN_151
        SIGNAL DATA3(31:0)
        SIGNAL DATA2(31:0)
        SIGNAL DATA1(31:0)
        SIGNAL DATA0(31:0)
        SIGNAL SPI_SSDATA
        SIGNAL A0
        SIGNAL A1
        SIGNAL ENABLE
        PORT Input SPI_MOSI
        PORT Input SPI_CLK
        PORT Output DATA3(31:0)
        PORT Output DATA2(31:0)
        PORT Output DATA1(31:0)
        PORT Output DATA0(31:0)
        PORT Input SPI_SSDATA
        PORT Input A0
        PORT Input A1
        PORT Input ENABLE
        BEGIN BLOCKDEF sr16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -192 64 -192 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            RECTANGLE N 64 -384 320 -64 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF d2_4e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 384 -128 320 -128 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 sr16ce
            PIN C SPI_CLK
            PIN CE XLXN_151
            PIN CLR XLXN_38
            PIN SLI SPI_MOSI
            PIN Q(15:0) ShiftLSB(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 sr16ce
            PIN C SPI_CLK
            PIN CE XLXN_151
            PIN CLR XLXN_38
            PIN SLI ShiftLSB(15)
            PIN Q(15:0) ShiftMSB(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_38
        END BLOCK
        BEGIN BLOCK XLXI_85 vcc
            PIN P XLXN_151
        END BLOCK
        BEGIN BLOCK XLXI_88 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel0
            PIN CLR XLXN_38
            PIN D(15:0) ShiftLSB(15:0)
            PIN Q(15:0) DATA0(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_89 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel0
            PIN CLR XLXN_38
            PIN D(15:0) ShiftMSB(15:0)
            PIN Q(15:0) DATA0(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_100 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel1
            PIN CLR XLXN_38
            PIN D(15:0) ShiftLSB(15:0)
            PIN Q(15:0) DATA1(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_101 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel1
            PIN CLR XLXN_38
            PIN D(15:0) ShiftMSB(15:0)
            PIN Q(15:0) DATA1(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_102 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel2
            PIN CLR XLXN_38
            PIN D(15:0) ShiftLSB(15:0)
            PIN Q(15:0) DATA2(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_103 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel2
            PIN CLR XLXN_38
            PIN D(15:0) ShiftMSB(15:0)
            PIN Q(15:0) DATA2(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_104 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel3
            PIN CLR XLXN_38
            PIN D(15:0) ShiftLSB(15:0)
            PIN Q(15:0) DATA3(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_105 fd16ce
            PIN C SPI_SSDATA
            PIN CE Sel3
            PIN CLR XLXN_38
            PIN D(15:0) ShiftMSB(15:0)
            PIN Q(15:0) DATA3(31:16)
        END BLOCK
        BEGIN BLOCK XLXI_96 d2_4e
            PIN A0 A0
            PIN A1 A1
            PIN E ENABLE
            PIN D0 Sel0
            PIN D1 Sel1
            PIN D2 Sel2
            PIN D3 Sel3
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_2 1040 1024 R0
        INSTANCE XLXI_3 1040 1488 R0
        BEGIN BRANCH ShiftLSB(15:0)
            WIRE 1424 768 1888 768
            WIRE 1888 768 2064 768
            WIRE 1888 512 1888 768
            WIRE 1888 512 2656 512
            WIRE 2656 512 3392 512
            WIRE 3392 512 3392 768
            WIRE 3392 768 3488 768
            WIRE 3392 512 4112 512
            WIRE 4112 512 4112 768
            WIRE 4112 768 4208 768
            WIRE 2656 512 2656 768
            WIRE 2656 768 2752 768
        END BRANCH
        BEGIN BRANCH ShiftMSB(15:0)
            WIRE 1424 1232 1904 1232
            WIRE 1904 1232 2064 1232
            WIRE 1904 1232 1904 1616
            WIRE 1904 1616 2608 1616
            WIRE 2608 1616 3328 1616
            WIRE 3328 1616 4016 1616
            WIRE 2608 1232 2608 1616
            WIRE 2608 1232 2752 1232
            WIRE 3328 1232 3488 1232
            WIRE 3328 1232 3328 1616
            WIRE 4016 1232 4208 1232
            WIRE 4016 1232 4016 1616
        END BRANCH
        BEGIN BRANCH ShiftLSB(15)
            WIRE 768 1168 1040 1168
            BEGIN DISPLAY 768 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 656 896 SPI_CLK R180 28
        IOMARKER 656 704 SPI_MOSI R180 28
        BEGIN BRANCH DATA0(15:0)
            WIRE 2448 768 2528 768
        END BRANCH
        BEGIN BRANCH DATA0(31:16)
            WIRE 2448 1232 2544 1232
        END BRANCH
        BEGIN BRANCH DATA1(15:0)
            WIRE 3136 768 3232 768
        END BRANCH
        BEGIN BRANCH DATA1(31:16)
            WIRE 3136 1232 3232 1232
        END BRANCH
        BEGIN BRANCH DATA2(15:0)
            WIRE 3872 768 3968 768
        END BRANCH
        BEGIN BRANCH DATA2(31:16)
            WIRE 3872 1232 3968 1232
        END BRANCH
        BEGIN BRANCH DATA3(15:0)
            WIRE 4592 768 4688 768
        END BRANCH
        BEGIN BRANCH DATA3(31:16)
            WIRE 4592 1232 4688 1232
        END BRANCH
        INSTANCE XLXI_88 2064 1024 R0
        INSTANCE XLXI_89 2064 1488 R0
        INSTANCE XLXI_100 2752 1024 R0
        INSTANCE XLXI_101 2752 1488 R0
        INSTANCE XLXI_102 3488 1024 R0
        INSTANCE XLXI_103 3488 1488 R0
        INSTANCE XLXI_104 4208 1024 R0
        INSTANCE XLXI_105 4208 1488 R0
        BEGIN BRANCH DATA3(31:0)
            WIRE 4432 608 4496 608
        END BRANCH
        IOMARKER 4496 608 DATA3(31:0) R0 28
        BEGIN BRANCH DATA2(31:0)
            WIRE 3728 608 3792 608
        END BRANCH
        IOMARKER 3792 608 DATA2(31:0) R0 28
        BEGIN BRANCH DATA1(31:0)
            WIRE 2944 608 3008 608
        END BRANCH
        IOMARKER 3008 608 DATA1(31:0) R0 28
        BEGIN BRANCH DATA0(31:0)
            WIRE 2272 608 2336 608
        END BRANCH
        IOMARKER 2336 608 DATA0(31:0) R0 28
        BEGIN BRANCH Sel0
            WIRE 1904 1776 2016 1776
            WIRE 2016 832 2064 832
            WIRE 2016 832 2016 1296
            WIRE 2016 1296 2064 1296
            WIRE 2016 1296 2016 1776
        END BRANCH
        IOMARKER 672 224 SPI_SSDATA R180 28
        BEGIN BRANCH SPI_SSDATA
            WIRE 672 224 1984 224
            WIRE 1984 224 1984 896
            WIRE 1984 896 2064 896
            WIRE 1984 896 1984 1360
            WIRE 1984 1360 2064 1360
            WIRE 1984 224 2720 224
            WIRE 2720 224 2720 896
            WIRE 2720 896 2752 896
            WIRE 2720 896 2720 1360
            WIRE 2720 1360 2752 1360
            WIRE 2720 224 3456 224
            WIRE 3456 224 3456 896
            WIRE 3456 896 3456 1360
            WIRE 3456 1360 3488 1360
            WIRE 3456 896 3488 896
            WIRE 3456 224 4176 224
            WIRE 4176 224 4176 896
            WIRE 4176 896 4208 896
            WIRE 4176 896 4176 1360
            WIRE 4176 1360 4208 1360
        END BRANCH
        BEGIN BRANCH Sel1
            WIRE 1904 1840 2656 1840
            WIRE 2656 832 2656 1296
            WIRE 2656 1296 2752 1296
            WIRE 2656 1296 2656 1840
            WIRE 2656 832 2752 832
        END BRANCH
        BEGIN BRANCH Sel2
            WIRE 1904 1904 3392 1904
            WIRE 3392 832 3488 832
            WIRE 3392 832 3392 1296
            WIRE 3392 1296 3488 1296
            WIRE 3392 1296 3392 1904
        END BRANCH
        BEGIN BRANCH Sel3
            WIRE 1904 1968 4112 1968
            WIRE 4112 832 4208 832
            WIRE 4112 832 4112 1296
            WIRE 4112 1296 4208 1296
            WIRE 4112 1296 4112 1968
        END BRANCH
        BEGIN BRANCH XLXN_38
            WIRE 960 992 1040 992
            WIRE 960 992 960 1456
            WIRE 960 1456 1040 1456
            WIRE 960 1456 960 1504
            WIRE 960 1504 1712 1504
            WIRE 1712 1504 2064 1504
            WIRE 2064 1504 2752 1504
            WIRE 2752 1504 3488 1504
            WIRE 3488 1504 4208 1504
            WIRE 960 1504 960 2112
            WIRE 1712 1056 1712 1504
            WIRE 1712 1056 2048 1056
            WIRE 2048 1056 2064 1056
            WIRE 2048 1056 2256 1056
            WIRE 2256 1056 2688 1056
            WIRE 2688 1056 3424 1056
            WIRE 3424 1056 4144 1056
            WIRE 2064 992 2064 1056
            WIRE 2064 1456 2064 1504
            WIRE 2688 992 2752 992
            WIRE 2688 992 2688 1056
            WIRE 2752 1456 2752 1504
            WIRE 3424 992 3488 992
            WIRE 3424 992 3424 1056
            WIRE 3488 1456 3488 1504
            WIRE 4144 992 4208 992
            WIRE 4144 992 4144 1056
            WIRE 4208 1456 4208 1504
        END BRANCH
        BEGIN BRANCH SPI_CLK
            WIRE 656 896 1008 896
            WIRE 1008 896 1040 896
            WIRE 1008 896 1008 1360
            WIRE 1008 1360 1040 1360
        END BRANCH
        INSTANCE XLXI_85 848 416 R0
        BEGIN BRANCH SPI_MOSI
            WIRE 656 704 864 704
            WIRE 864 704 1040 704
        END BRANCH
        BEGIN BRANCH XLXN_151
            WIRE 912 416 912 832
            WIRE 912 832 1040 832
            WIRE 912 832 912 1296
            WIRE 912 1296 1040 1296
        END BRANCH
        INSTANCE XLXI_96 1520 2096 R0
        INSTANCE XLXI_4 896 2240 R0
        BEGIN BRANCH A0
            WIRE 688 1776 1504 1776
            WIRE 1504 1776 1520 1776
        END BRANCH
        IOMARKER 688 1776 A0 R180 28
        BEGIN BRANCH A1
            WIRE 688 1840 1520 1840
        END BRANCH
        BEGIN BRANCH ENABLE
            WIRE 688 1968 1520 1968
        END BRANCH
        IOMARKER 688 1840 A1 R180 28
        IOMARKER 688 1968 ENABLE R180 28
    END SHEET
END SCHEMATIC
