VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SSDAT
        SIGNAL XLXN_244
        SIGNAL SPI_CLKINV
        SIGNAL XLXN_284
        SIGNAL SPI_MISO
        SIGNAL DATA1(31:0)
        SIGNAL SPI_SSDATA
        SIGNAL XLXN_291
        SIGNAL ENABLE
        SIGNAL DATA2(31:0)
        SIGNAL DATA0(31:0)
        SIGNAL DATA3(31:0)
        SIGNAL Q0H(15)
        SIGNAL Q1H(15)
        SIGNAL Q2H(15)
        SIGNAL Q3H(15)
        SIGNAL A0
        SIGNAL A1
        SIGNAL DATA0(15:0)
        SIGNAL Q0L(15:0)
        SIGNAL Q0H(15:0)
        SIGNAL Q1H(15:0)
        SIGNAL Q1L(15:0)
        SIGNAL Q1L(15)
        SIGNAL Q0L(15)
        SIGNAL DATA0(31:16)
        SIGNAL Q2L(15)
        SIGNAL DATA2(31:16)
        SIGNAL DATA1(31:16)
        SIGNAL DATA3(31:16)
        SIGNAL Q3L(15)
        SIGNAL DATA2(15:0)
        SIGNAL DATA3(15:0)
        SIGNAL Q2L(15:0)
        SIGNAL Q2H(15:0)
        SIGNAL Q3H(15:0)
        SIGNAL Q3L(15:0)
        SIGNAL XLXN_331
        SIGNAL DATA1(15:0)
        SIGNAL SPI_CLK
        SIGNAL XLXN_334
        SIGNAL XLXN_335
        SIGNAL XLXN_336
        SIGNAL XLXN_337
        PORT Output SPI_MISO
        PORT Input DATA1(31:0)
        PORT Input SPI_SSDATA
        PORT Input ENABLE
        PORT Input DATA2(31:0)
        PORT Input DATA0(31:0)
        PORT Input DATA3(31:0)
        PORT Input A0
        PORT Input A1
        PORT Input SPI_CLK
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF fdc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF sr16cle
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -512 64 -512 
            LINE N 0 -320 64 -320 
            LINE N 384 -384 320 -384 
            LINE N 0 -576 64 -576 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            RECTANGLE N 0 -524 64 -500 
            RECTANGLE N 320 -396 384 -372 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF m4_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -416 96 -416 
            LINE N 0 -352 96 -352 
            LINE N 0 -288 96 -288 
            LINE N 0 -224 96 -224 
            LINE N 0 -32 96 -32 
            LINE N 320 -320 256 -320 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 176 -96 96 -96 
            LINE N 176 -208 176 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -216 224 -32 
            LINE N 256 -224 96 -192 
            LINE N 256 -416 256 -224 
            LINE N 96 -448 256 -416 
            LINE N 96 -192 96 -448 
            LINE N 128 -160 96 -160 
            LINE N 128 -200 128 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_244
        END BLOCK
        BEGIN BLOCK XLXI_119 inv
            PIN I SPI_SSDATA
            PIN O SSDAT
        END BLOCK
        BEGIN BLOCK XLXI_199 fdc
            PIN C SPI_CLKINV
            PIN CLR SPI_SSDATA
            PIN D SSDAT
            PIN Q XLXN_284
        END BLOCK
        BEGIN BLOCK XLXI_200 inv
            PIN I XLXN_284
            PIN O XLXN_331
        END BLOCK
        BEGIN BLOCK XLXI_203 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA0(31:16)
            PIN L XLXN_331
            PIN SLI Q0L(15)
            PIN Q(15:0) Q0H(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_204 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA1(31:16)
            PIN L XLXN_331
            PIN SLI Q1L(15)
            PIN Q(15:0) Q1H(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_205 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA0(15:0)
            PIN L XLXN_331
            PIN SLI XLXN_334
            PIN Q(15:0) Q0L(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_206 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA1(15:0)
            PIN L XLXN_331
            PIN SLI XLXN_335
            PIN Q(15:0) Q1L(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_207 and2
            PIN I0 SSDAT
            PIN I1 ENABLE
            PIN O XLXN_291
        END BLOCK
        BEGIN BLOCK XLXI_208 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA2(15:0)
            PIN L XLXN_331
            PIN SLI XLXN_336
            PIN Q(15:0) Q2L(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_209 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA2(31:16)
            PIN L XLXN_331
            PIN SLI Q2L(15)
            PIN Q(15:0) Q2H(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_210 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA3(15:0)
            PIN L XLXN_331
            PIN SLI XLXN_337
            PIN Q(15:0) Q3L(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_211 sr16cle
            PIN C SPI_CLKINV
            PIN CE SSDAT
            PIN CLR XLXN_244
            PIN D(15:0) DATA3(31:16)
            PIN L XLXN_331
            PIN SLI Q3L(15)
            PIN Q(15:0) Q3H(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_212 m4_1e
            PIN D0 Q0H(15)
            PIN D1 Q1H(15)
            PIN D2 Q2H(15)
            PIN D3 Q3H(15)
            PIN E XLXN_291
            PIN S0 A0
            PIN S1 A1
            PIN O SPI_MISO
        END BLOCK
        BEGIN BLOCK XLXI_214 inv
            PIN I SPI_CLK
            PIN O SPI_CLKINV
        END BLOCK
        BEGIN BLOCK XLXI_216 gnd
            PIN G XLXN_335
        END BLOCK
        BEGIN BLOCK XLXI_217 gnd
            PIN G XLXN_336
        END BLOCK
        BEGIN BLOCK XLXI_218 gnd
            PIN G XLXN_337
        END BLOCK
        BEGIN BLOCK XLXI_219 gnd
            PIN G XLXN_334
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        INSTANCE XLXI_199 1168 1520 R0
        BEGIN BRANCH XLXN_284
            WIRE 1552 1264 1600 1264
        END BRANCH
        INSTANCE XLXI_200 1600 1296 R0
        INSTANCE XLXI_203 2048 1408 R0
        INSTANCE XLXI_204 2704 1408 R0
        INSTANCE XLXI_205 2048 2384 R0
        INSTANCE XLXI_206 2720 2384 R0
        BEGIN BRANCH SPI_MISO
            WIRE 1840 480 2176 480
        END BRANCH
        IOMARKER 784 1856 DATA1(31:0) R180 28
        BEGIN BRANCH DATA1(31:0)
            WIRE 784 1856 1056 1856
        END BRANCH
        BEGIN BRANCH SPI_SSDATA
            WIRE 768 1056 832 1056
            WIRE 832 1056 832 1488
            WIRE 832 1488 1168 1488
            WIRE 832 1056 880 1056
        END BRANCH
        IOMARKER 768 1056 SPI_SSDATA R180 28
        BEGIN BRANCH SSDAT
            WIRE 1104 1056 1168 1056
            WIRE 1168 1056 1312 1056
            WIRE 1312 1056 1312 1136
            WIRE 1312 1136 2000 1136
            WIRE 2000 1136 2000 1216
            WIRE 2000 1216 2048 1216
            WIRE 2000 1216 2000 1424
            WIRE 2000 1424 2480 1424
            WIRE 2480 1424 3344 1424
            WIRE 3344 1424 4000 1424
            WIRE 1152 1136 1152 1264
            WIRE 1152 1264 1168 1264
            WIRE 1152 1136 1312 1136
            WIRE 1168 976 1184 976
            WIRE 1168 976 1168 1056
            WIRE 1728 1424 1728 2192
            WIRE 1728 2192 2048 2192
            WIRE 1728 2192 1728 2432
            WIRE 1728 2432 2608 2432
            WIRE 2608 2432 3408 2432
            WIRE 3408 2432 4160 2432
            WIRE 1728 1424 2000 1424
            WIRE 2480 1216 2704 1216
            WIRE 2480 1216 2480 1424
            WIRE 2608 2192 2608 2432
            WIRE 2608 2192 2720 2192
            WIRE 3344 1216 3520 1216
            WIRE 3344 1216 3344 1424
            WIRE 3408 2192 3520 2192
            WIRE 3408 2192 3408 2432
            WIRE 4000 1216 4240 1216
            WIRE 4000 1216 4000 1424
            WIRE 4160 2192 4240 2192
            WIRE 4160 2192 4160 2432
        END BRANCH
        INSTANCE XLXI_207 1184 1040 R0
        BEGIN BRANCH XLXN_291
            WIRE 1440 944 1520 944
            WIRE 1520 768 1520 944
        END BRANCH
        BEGIN BRANCH ENABLE
            WIRE 768 912 1184 912
        END BRANCH
        IOMARKER 768 912 ENABLE R180 28
        INSTANCE XLXI_208 3520 2384 R0
        INSTANCE XLXI_209 3520 1408 R0
        INSTANCE XLXI_210 4240 2384 R0
        INSTANCE XLXI_211 4240 1408 R0
        BEGIN BRANCH DATA2(31:0)
            WIRE 784 1968 1056 1968
        END BRANCH
        IOMARKER 784 1968 DATA2(31:0) R180 28
        BEGIN BRANCH DATA0(31:0)
            WIRE 784 1744 1056 1744
        END BRANCH
        IOMARKER 784 1744 DATA0(31:0) R180 28
        BEGIN BRANCH DATA3(31:0)
            WIRE 784 2080 1056 2080
        END BRANCH
        IOMARKER 784 2080 DATA3(31:0) R180 28
        BEGIN BRANCH Q0H(15)
            WIRE 1216 384 1520 384
            BEGIN DISPLAY 1216 384 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1H(15)
            WIRE 1216 448 1520 448
            BEGIN DISPLAY 1216 448 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_212 1520 800 R0
        BEGIN BRANCH Q2H(15)
            WIRE 1216 512 1520 512
            BEGIN DISPLAY 1216 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q3H(15)
            WIRE 1216 576 1520 576
            BEGIN DISPLAY 1216 576 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A0
            WIRE 768 640 1520 640
        END BRANCH
        IOMARKER 768 640 A0 R180 28
        BEGIN BRANCH A1
            WIRE 768 704 1520 704
        END BRANCH
        IOMARKER 768 704 A1 R180 28
        BEGIN BRANCH DATA0(15:0)
            WIRE 1968 1872 2048 1872
            BEGIN DISPLAY 1968 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q0L(15:0)
            WIRE 2432 2000 2464 2000
            BEGIN DISPLAY 2464 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q0H(15:0)
            WIRE 2432 1024 2480 1024
            BEGIN DISPLAY 2480 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1H(15:0)
            WIRE 3088 1024 3120 1024
            BEGIN DISPLAY 3120 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1L(15:0)
            WIRE 3104 2000 3136 2000
            BEGIN DISPLAY 3136 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q1L(15)
            WIRE 2608 832 2704 832
            BEGIN DISPLAY 2608 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q0L(15)
            WIRE 1936 832 2048 832
            BEGIN DISPLAY 1936 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA0(31:16)
            WIRE 1936 896 2048 896
            BEGIN DISPLAY 1936 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q2L(15)
            WIRE 3424 832 3520 832
            BEGIN DISPLAY 3424 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA2(31:16)
            WIRE 3424 896 3520 896
            BEGIN DISPLAY 3424 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA1(31:16)
            WIRE 2608 896 2704 896
            BEGIN DISPLAY 2608 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA3(31:16)
            WIRE 4144 896 4240 896
            BEGIN DISPLAY 4144 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q3L(15)
            WIRE 4144 832 4240 832
            BEGIN DISPLAY 4144 832 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA2(15:0)
            WIRE 3472 1872 3520 1872
            BEGIN DISPLAY 3472 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA3(15:0)
            WIRE 4192 1872 4240 1872
            BEGIN DISPLAY 4192 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q2L(15:0)
            WIRE 3904 2000 3936 2000
            BEGIN DISPLAY 3936 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q2H(15:0)
            WIRE 3904 1024 3936 1024
            BEGIN DISPLAY 3936 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q3H(15:0)
            WIRE 4624 1024 4672 1024
            BEGIN DISPLAY 4672 1024 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Q3L(15:0)
            WIRE 4624 2000 4656 2000
            BEGIN DISPLAY 4656 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_331
            WIRE 1824 1264 1840 1264
            WIRE 1840 1264 1840 1472
            WIRE 1840 1472 1840 2064
            WIRE 1840 2064 2048 2064
            WIRE 1840 1472 2512 1472
            WIRE 2512 1472 2608 1472
            WIRE 2608 1472 2608 2064
            WIRE 2608 2064 2720 2064
            WIRE 2608 1472 3296 1472
            WIRE 3296 1472 3344 1472
            WIRE 3344 1472 3344 2064
            WIRE 3344 2064 3520 2064
            WIRE 3344 1472 4096 1472
            WIRE 4096 1472 4096 2064
            WIRE 4096 2064 4240 2064
            WIRE 1840 1088 2048 1088
            WIRE 1840 1088 1840 1264
            WIRE 2512 1088 2704 1088
            WIRE 2512 1088 2512 1472
            WIRE 3296 1088 3520 1088
            WIRE 3296 1088 3296 1472
            WIRE 4096 1088 4240 1088
            WIRE 4096 1088 4096 1472
        END BRANCH
        BEGIN BRANCH DATA1(15:0)
            WIRE 2624 1872 2720 1872
            BEGIN DISPLAY 2624 1872 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_4 1600 2800 R0
        BEGIN BRANCH XLXN_244
            WIRE 1664 1568 1664 2608
            WIRE 1664 2608 1664 2672
            WIRE 1664 2608 2048 2608
            WIRE 2048 2608 2720 2608
            WIRE 2720 2608 3504 2608
            WIRE 3504 2608 4240 2608
            WIRE 1664 1568 2048 1568
            WIRE 2048 1568 2704 1568
            WIRE 2704 1568 3504 1568
            WIRE 3504 1568 4240 1568
            WIRE 2048 1376 2048 1568
            WIRE 2048 2352 2048 2608
            WIRE 2704 1376 2704 1568
            WIRE 2720 2352 2720 2608
            WIRE 3504 1376 3520 1376
            WIRE 3504 1376 3504 1568
            WIRE 3504 2352 3504 2608
            WIRE 3504 2352 3520 2352
            WIRE 4240 1376 4240 1568
            WIRE 4240 2352 4240 2608
        END BRANCH
        IOMARKER 2176 480 SPI_MISO R0 28
        BEGIN BRANCH SPI_CLKINV
            WIRE 1104 1392 1120 1392
            WIRE 1120 1392 1168 1392
            WIRE 1120 1392 1120 1520
            WIRE 1120 1520 1936 1520
            WIRE 1936 1520 1936 2256
            WIRE 1936 2256 2048 2256
            WIRE 1936 1520 2656 1520
            WIRE 2656 1520 2656 2256
            WIRE 2656 2256 2720 2256
            WIRE 2656 1520 3296 1520
            WIRE 3296 1520 3456 1520
            WIRE 3456 1520 4048 1520
            WIRE 4048 1520 4048 2256
            WIRE 4048 2256 4240 2256
            WIRE 3296 1520 3296 2256
            WIRE 3296 2256 3520 2256
            WIRE 1936 1280 2048 1280
            WIRE 1936 1280 1936 1520
            WIRE 2656 1280 2704 1280
            WIRE 2656 1280 2656 1520
            WIRE 3456 1280 3520 1280
            WIRE 3456 1280 3456 1520
            WIRE 4048 1280 4240 1280
            WIRE 4048 1280 4048 1520
        END BRANCH
        BEGIN BRANCH SPI_CLK
            WIRE 768 1392 864 1392
            WIRE 864 1392 880 1392
        END BRANCH
        INSTANCE XLXI_214 880 1424 R0
        IOMARKER 768 1392 SPI_CLK R180 28
        INSTANCE XLXI_119 880 1088 R0
        INSTANCE XLXI_216 2752 1584 R180
        INSTANCE XLXI_217 3504 1584 R180
        INSTANCE XLXI_218 4256 1584 R180
        INSTANCE XLXI_219 2064 1584 R180
        BEGIN BRANCH XLXN_334
            WIRE 2000 1712 2000 1808
            WIRE 2000 1808 2048 1808
        END BRANCH
        BEGIN BRANCH XLXN_335
            WIRE 2688 1712 2688 1808
            WIRE 2688 1808 2720 1808
        END BRANCH
        BEGIN BRANCH XLXN_336
            WIRE 3440 1712 3440 1808
            WIRE 3440 1808 3520 1808
        END BRANCH
        BEGIN BRANCH XLXN_337
            WIRE 4192 1712 4192 1808
            WIRE 4192 1808 4240 1808
        END BRANCH
    END SHEET
END SCHEMATIC
